Bug 68550 - It takes a fair amount of admin to get cvs to work client/server
Summary: It takes a fair amount of admin to get cvs to work client/server
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-11 02:27 UTC by Martin Jackson
Modified: 2007-04-18 16:44 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 16:53:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Jackson 2002-07-11 02:27:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
Red Hat should make it easy for users to set up client/server CVS.

Deficiencies as I see them currently:

1)  No default CVSROOT.  No guidance on where it should go, either.
2)  No /etc/profile.d scripts to set default CVS variables
3)  No /etc/xinet.d config file for client/server CVS
4)  No cvs password admin utilities
5)  No default cvs user

I recognize there are security concerns with client/server CVS but there are
with services such as FTP as well...the FTP servers come with xinetd config
files so they can be enabled/disabled by a knowledgable user.  The command
needed to start a CVS server from xinetd takes some digging.

I recognize this a relatively significant feature request and appreciate your
taking the time to review it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A

Actual Results:  N/A

Expected Results:  N/A

Additional info:

Comment 1 Eido Inoue 2004-10-29 16:53:31 UTC
not going to change unfortunately as there are no real standards to
cvs usage-- almost everyone sets up the service and default locations
differently. (see bug 59045)

the only thing that is under consideration is the addition of xinetd
files for the cvs server. that is addressed in a different bug (bug
136929)


Note You need to log in before you can comment on or make changes to this bug.